.cursor-pointer {
  cursor: pointer;
}
/* .latest-blogs-wrap .post-inner{
cursor: pointer;
} */

.latest-blogs-wrap .post-inner {
  cursor: grab;
}
.latest-blogs-wrap .swiper-wrapper:active,
.latest-blogs-wrap .swiper-wrapper:active .post-inner {
  cursor: grabbing;
}
.latest-blogs-wrap .post-inner a,
.latest-blogs-wrap .post-inner button {
  cursor: pointer;
  pointer-events: auto;
  position: relative;
  z-index: 5;
}
/* home our certifications section*/
.our-certifications-wrap .swiper-slide {
  cursor: grab;
}
/* While dragging */
.our-certifications-wrap .swiper-slide:active,
.our-certifications-wrap .swiper-wrapper:active {
  cursor: grabbing;
}
.our-certifications-wrap .swiper-slide-inner {
  position: relative;
  width: 100%;
  max-width: 150px;
  max-height: 150px;
  aspect-ratio: 1 / 1;
  display: flex;
  align-items: center;
  justify-content: center;
  overflow: hidden;
}
.our-certifications-wrap .swiper-slide-inner img {
  width: auto;
  height: auto;
  max-width: 100%;
  max-height: 100%;
  object-fit: contain;
  display: block;
}
/* product listing section */
.widget_product_categories .product-categories li {
  padding: 10px 10px;
  border-radius: 5px;
}
.custom-products-page
  .widget_product_categories
  .product-categories
  li.current-cat {
  background: #155e2b14;
}
.custom-products-page .widget_product_categories li.current-cat > a {
  color: #3b8b53 !important;
}
.widget_product_categories .product-categories .children {
  margin-left: 0 !important;
}
.widget_product_categories .product-categories .children > li {
  padding: 10px 10px;
  border-radius: 5px;
}
.widget_product_categories .icon-minus,
.widget_product_categories .icon-plus {
  display: inline-flex !important;
  align-items: center;
  justify-content: center;
  width: 20px;
  height: 20px;
  line-height: 1;
}
/* ............................................................. */

.essence-of-nature-card-wrap .elementor-cta__content {
  background: linear-gradient(
    to bottom,
    rgba(0, 0, 0, 0.25),
    rgba(0, 0, 0, 0.35)
  );
}

.teapoz-sorting #list {
  display: none;
}
#masthead {
  box-shadow: 0 2px 8px rgba(0, 0, 0, 0.08);
}
body.custom-products-page
  a.woocommerce-LoopProduct-link.woocommerce-loop-product__link {
  pointer-events: auto !important;
}
body.custom-products-page #page .site-content {
  margin-top: 45px !important;
}
.teapoz-mobile-nav .menu-scroll-mobile .mobile-nav-close {
  top: 5px !important;
  right: 15px !important;
}
form span.error {
  color: #dc3232 !important;
  font-weight: normal !important;
}
footer .elementor-1084 .elementor-element.elementor-element-0eda250 {
  --min-height: 250px !important;
}
@media (max-width: 767px) {
  footer .elementor-1084 .elementor-element.elementor-element-0eda250 {
    --min-height: 150px !important;
  }
  body.custom-products-page #page .site-content {
    margin-top: 0 !important;
  }
}
.custom-blog-detail-page .nav-previous,
.custom-blog-detail-page .nav-next {
  padding: 20px 0 !important;
}
.custom-blog-detail-page .nav-previous a:before {
  font-size: 8px !important;
  margin-right: 10px !important;
}
.custom-blog-detail-page .nav-next a:after {
  font-size: 8px !important;
  margin-left: 10px !important;
}
.custom-products-page .teapoz-sorting {
  margin-bottom: 0 !important;
  padding: 10px !important;
  padding-bottom: 0 !important;
  gap: 8px !important;
}
.custom-products-page .teapoz-sorting .filter-toggle {
  display: flex;
  align-items: center;
}

.custom-products-page .product-block {
  border: none !important;
}
.custom-products-page .product-block:hover .woocommerce-loop-product__title a {
  color: #3b8b53 !important;
  transition: color 0.3s ease;
}

.product-form textarea {
  resize: none;
  max-height: 150px;
}
.product-form input[type="text"],
.product-form input[type="number"],
.product-form input[type="email"],
.product-form input[type="tel"],
.product-form input[type="url"],
.product-form input[type="password"],
.product-form input[type="search"],
.product-form textarea,
.product-form .input-text {
  padding: 14px;
}
#product-enquiry.modal .modal-content {
  max-height: 84vh;
  overflow-x: hidden;
  overflow-y: auto;
}
@media (max-width: 575px) {
  #product-enquiry.modal .modal-content {
    padding: 16px !important;
    width: calc(100% - 16px) !important;
    margin-inline: 8px !important;
  }
  #product-enquiry.modal .close {
    font-size: 35px !important;
  }
  .our-certifications-wrap .swiper-slide {
    display: flex;
    justify-content: center;
    align-items: center;
  }
  #teapoz-canvas-filter .teapoz-canvas-header {
    padding: 14px !important;
    padding-bottom: 0 !important;
  }
  #teapoz-canvas-filter .filter-close:after {
    font-size: 30px !important;
  }
  #woocommerce_product_categories-1 .gamma.widget-title {
    padding-bottom: 16px !important;
  }
  .teapoz-canvas-filter .widget {
    border-top: none !important;
  }
  .woocommerce-breadcrumb span.separate {
    margin-inline: 5px !important;
  }
  .woocommerce-breadcrumb {
    display: flex;
    align-items: flex-start;
    flex-wrap: wrap;
    margin: 30px 0px 10px 0px !important;
  }
  .pagination ul.page-numbers,
  .woocommerce-pagination ul.page-numbers {
    justify-content: flex-start !important;
    gap: 10px;
  }
  .page-numbers {
    margin-top: 10px !important;
  }
}

#categories-1 .widget-content ul li {
  padding: 10px 10px;
  border-radius: 5px;
}
#categories-1 .widget-content ul li.current-cat a {
  color: #3b8b53 !important;
}
#categories-1 .widget-content ul li.current-cat {
  background: #155e2b14 !important;
}
#product-enquiry.modal .modal-content .wpcf7-response-output {
  display: block !important;
  height: 22.5px;
}
#search-1 .search-field {
  display: none !important;
}
#search-1 {
  margin-bottom: 0 !important;
}
#search-1 form {
  display: none !important;
}
body.blog
  .elementor-3511
  .elementor-element.elementor-element-24bed71
  .woocommerce-breadcrumb
  > a:hover {
  color: #a7a7a7 !important;
}
body.custom-products-page h2.elementor-heading-title {
  font-size: clamp(32px, 5vw, 64px) !important;
  margin-block: 23px !important;
}
@media (max-width: 767px) {
  body.custom-products-page h2.elementor-heading-title {
    margin-block: 3px !important;
  }
  .select-items {
    top: 150% !important;
  }
}
.no-results.not-found .page-title {
  font-size: 48px !important;
  margin-bottom: 20px !important;
}
.no-results.not-found p {
  margin-bottom: 20px !important;
}
.no-results.not-found form.search-form {
  display: flex;
  align-items: center;
  gap: 10px;
}
.pswp__scroll-wrap .pswp__ui {
  bottom: 100px !important;
}

@media screen and (min-width: 1200px) and (max-width: 1720px) {
  .mobile-div {
    --padding-left: 30px !important;
    --padding-right: 30px !important;
  }
  header .elementor-1188 .elementor-element.elementor-element-1ccf87a {
    --width: 15% !important;
  }
  .mobile-div .hfe-site-logo .hfe-site-logo-container img {
    width: 100% !important;
    max-width: 125px !important;
  }
  .menu-nav ul.menu > li.menu-item > a {
    padding: 10px !important;
  }
}
@media (max-width: 768px) {
  .dgwt-wcas-search-wrapp {
    margin-left: auto !important;
  }
  header .hfe-site-logo .hfe-site-logo-container img {
    max-width: 130px !important;
  }
  header .mobile-div {
    height: 70px !important;
  }
}
@media (max-width: 1200px) and (min-width: 768px) {
  .mobile-div .elementor-1188 .elementor-element.elementor-element-3849f4d {
    max-width: 260px !important;
  }
}
.dgwt-wcas-search-wrapp {
  margin-left: auto !important;
  margin: 0;
  width: 100%;
}
.dgwt-wcas-sf-wrapp {
  margin-left: auto !important;
  max-width: 260px !important;
}
.dgwt-wcas-overlay-mobile .dgwt-wcas-sf-wrapp {
  margin-left: unset !important;
  max-width: unset !important;
}
.dgwt-wcas-ico-magnifier-handler {
  margin-bottom: 0 !important;
}
@media (max-width: 992px) {
  .dgwt-wcas-search-icon {
    display: flex !important;
    align-items: center !important;
    justify-content: center !important;
    width: 24px !important;
  }
}

.dgwt-wcas-overlay-mobile .dgwt-wcas-search-icon {
  display: none !important;
}
header .hfe-site-logo-img {
  margin: 0 auto;
}
.dgwt-wcas-search-focused #dgwt-wcas-search-input-1 {
  border-color: transparent !important;
  box-shadow: 0 0 0 1px #333;
  transition: box-shadow 0.2s ease;
  font-size: 17px !important;
}
.dgwt-wcas-style-pirx
  .dgwt-wcas-sf-wrapp
  input[type="search"].dgwt-wcas-search-input:hover,
.dgwt-wcas-style-pirx
  .dgwt-wcas-sf-wrapp
  input[type="search"].dgwt-wcas-search-input {
  background-color: white !important;
  box-shadow: 0 0 0 1px #333;
  transition: box-shadow 0.2s ease;
}
.dgwt-wcas-overlay-mobile
  .dgwt-wcas-style-pirx
  .dgwt-wcas-sf-wrapp
  input[type="search"].dgwt-wcas-search-input {
  border-color: transparent !important;
  box-shadow: none !important;
}
@media (max-width: 992px) {
/* ===== Prevent Layout Jump ===== */
.dgwt-wcas-search-wrapp {
    position: relative;
    display: none;
    align-items: center;
    min-height: 20px; /* adjust to your final input height */
    opacity: 0;
    pointer-events: none;
}

/* ===== Show After Loaded ===== */
.dgwt-wcas-search-wrapp.dgwt-wcas-layout-icon-flexible-loaded {
    opacity: 1;
    display: flex;
    pointer-events: auto;
    transition: opacity 0.3s ease;
}

/* ===== Prevent Loader From Changing Height ===== */
.dgwt-wcas-preloader {
    position: absolute !important;
    right: 12px;
    top: 50%;
    transform: translateY(-50%);
}

}
